| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::LoadSaveNotifier Class Referenceabstract
Inheritance diagram for Digikam::LoadSaveNotifier:

## Public Member Functions
virtual void | imageLoaded (const LoadingDescription &loadingDescription, const DImg &img)=0
virtual void | imageSaved (const QString &filePath, bool success)=0
virtual void | imageStartedLoading (const LoadingDescription &loadingDescription)=0
virtual void | imageStartedSaving (const QString &filePath)=0
virtual void | loadingProgress (const LoadingDescription &loadingDescription, float progress)=0
virtual void | moreCompleteLoadingAvailable (const LoadingDescription &oldLoadingDescription, const LoadingDescription &newLoadingDescription)=0
virtual void | savingProgress (const QString &filePath, float progress)=0
virtual void | thumbnailLoaded (const LoadingDescription &loadingDescription, const QImage &img)=0

## Member Function Documentation

## ◆ thumbnailLoaded()

virtual void Digikam::LoadSaveNotifier::thumbnailLoaded | ( | const LoadingDescription & | loadingDescription,
|  | const QImage & | img
| ) |  |
| pure virtual

Implemented in Digikam::ThumbnailLoadThread.